# The module defines the following variables
#
#  NDE_SHARE_DIR     - This allows to install and read the configs from non-standard locations
#
#  NDE_TRANSLATIONS_DIR - The default translations directory
#
#  NDE_ETC_XDG_DIR   - XDG standards expects system-wide configuration files in the
#                        /etc/xdg/nde location. Unfortunately QSettings we are using internally
#                        can be overriden in the Qt compilation time to use different path for
#                        system-wide configs. (for example configure ... -sysconfdir /etc/settings ...)
#                        This path can be found calling Qt's qmake:
#                             qmake -query QT_INSTALL_CONFIGURATION
#
#  NDE_DATA_DIR      - Nde base directory relative to which data files should
#                       be searched.Defaults to CMAKE_INSTALL_FULL_DATADIR. It's
#                       added to XDG_DATA_DIRS by the startnde script.


set(NDE_LIBRARY_NAME "nde")
set(NDE_RELATIVE_SHARE_DIR "nde")
set(NDE_SHARE_DIR          "/usr/share/nde")
set(NDE_RELATIVE_TRANSLATIONS_DIR "nde/translations")
set(NDE_TRANSLATIONS_DIR   "/usr/share/nde/translations")
set(NDE_GRAPHICS_DIR       "/usr/share/nde/graphics")
set(NDE_ETC_XDG_DIR        "/etc/xdg")
set(NDE_DATA_DIR           "/usr/share")

add_definitions("-DNDE_RELATIVE_SHARE_DIR=\"${NDE_RELATIVE_SHARE_DIR}\"")
add_definitions("-DNDE_SHARE_DIR=\"${NDE_SHARE_DIR}\"")
add_definitions("-DNDE_RELATIVE_SHARE_TRANSLATIONS_DIR=\"${NDE_RELATIVE_TRANSLATIONS_DIR}\"")
add_definitions("-DNDE_SHARE_TRANSLATIONS_DIR=\"${NDE_TRANSLATIONS_DIR}\"")
add_definitions("-DNDE_GRAPHICS_DIR=\"${NDE_GRAPHICS_DIR}\"")
add_definitions("-DNDE_ETC_XDG_DIR=\"${NDE_ETC_XDG_DIR}\"")
add_definitions("-DNDE_DATA_DIR=\"${NDE_DATA_DIR}\"")
